Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 34155 - XMMS (w/GNOME USE flag) requires portion of old (1.4) GNOME to be installed.
Summary: XMMS (w/GNOME USE flag) requires portion of old (1.4) GNOME to be installed.
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-22 20:27 UTC by Harold Wheaton
Modified: 2003-11-23 05:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harold Wheaton 2003-11-22 20:27:38 UTC
After the cleaning of some old packages, it was noted that XMMS still requires
part of GNOME 1.4 even though this system is fully updated to GNOME 2.4.  The
reason is because of the ebuild line "gnome? ( <gnome-base/gnome-panel-1.5.0 )",
used to support the gnomexmms panel applet.  The gnomexmms portion of the XMMS
distribution looks to be obsolete/abandoned, and thus a cleanup of the ebuild
(at least the removal of that line) would allow XMMS to be brought in without
the portions of GNOME 1.4.  A new ebuild of gnomexmms could be made based on new
work at http://urtica.linuxnews.pl/~kbryd/xmms.

Reproducible: Always
Steps to Reproduce:
Comment 1 Mike Gardiner (RETIRED) gentoo-dev 2003-11-22 21:04:31 UTC
USE="-gnome" emerge xmms

will have the same effect. There are still some people that prefer gtk1, and may be using the older gnome-panel and this applet.
Comment 2 foser (RETIRED) gentoo-dev 2003-11-23 05:20:17 UTC
we go with the vanilla sources, it's all gtk1, so its logical to have gnome1 deps as well. Applet link you provide might be interesting to some, but i think we should go with the sources here.

Afaic this can be closed, if the sound team wants to do anything with it, please take the bug.